//
//  FreeViewController.swift
//  Jacques
//
//  Created by Ope on 11/11/16.
//  Copyright © 2016 Opeoooseunoooseun. All rights reserved.
//

import UIKit

class FreeViewController: UIViewController {
    
    @IBAction func upButtonPressed(_ sender: Any) {
        print("Up button pressed")
        serial.sendMessageToDevice("UP")
    }
    @IBAction func upButton(_ sender: Any) {
        print("Up button released")
        serial.sendMessageToDevice("STP")
    }
    @IBAction func leftButtonPressed(_ sender: Any) {
        print("Left button pressed")
        serial.sendMessageToDevice("LEFT")
    }
    @IBAction func leftButton(_ sender: Any) {
        print("Left button released")
        serial.sendMessageToDevice("STP")
    }
    @IBAction func rightButtonPressed(_ sender: Any) {
        print("right button pressed")
        serial.sendMessageToDevice("RIGHT")
    }
    
    @IBAction func rightButton(_ sender: Any) {
        print("Right button released")
        serial.sendMessageToDevice("STP")
    }
    @IBAction func downButtonPressed(_ sender: Any) {
        print("Down button pressed")
        serial.sendMessageToDevice("DOWN")
    }
    @IBAction func downButton(_ sender: Any) {
        print("Down button released")
        serial.sendMessageToDevice("STP")
    }
        
    @IBAction func angleSlider(_ sender: UISlider) {
        let angle = Int(sender.value)
        print("Angle Slider: ",angle)
        serial.sendMessageToDevice("ANG \(angle)")
    }
    
    @IBAction func speedSlider(_ sender: UISlider) {
        let speed = Int(sender.value)
        print("Angle Slider: ",speed)
        serial.sendMessageToDevice("SPD \(speed)")
    }
    
    @IBAction func stopButton(_ sender: Any) {
        serial.sendMessageToDevice("STP")
    }
    override func viewDidLoad() {
        super.viewDidLoad()
    }
    
    override func didReceiveMemoryWarning() {
        super.didReceiveMemoryWarning()
    }
    
    
    
}
